GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::PVRGCodec Class Reference

PVRGCodec. More...

`#include <gdcmPVRGCodec.h>`

Inheritance diagram for gdcm::PVRGCodec:
[legend]
Collaboration diagram for gdcm::PVRGCodec:
[legend]

## Public Member Functions

| PVRGCodec ()
| ~PVRGCodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec ()
const unsigned int * | GetDimensions () const
virtual bool | GetHeaderInfo (std::istream &is_, TransferSyntax &ts)
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const unsigned int d[3])
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
virtual void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)

## Additional Inherited Members

Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Member Functions inherited from gdcm::ImageCodec
bool | DecodeByStreams (std::istream &is_, std::ostream &os)
bool | DoByteSwap (std::istream &is_, std::ostream &os)
bool | DoInvertMonochrome (std::istream &is_, std::ostream &os)
bool | DoOverlayCleanup (std::istream &is_, std::ostream &os)
bool | DoPaddedCompositePixelCode (std::istream &is_, std::ostream &os)
bool | DoPlanarConfiguration (std::istream &is_, std::ostream &os)
bool | DoSimpleCopy (std::istream &is_, std::ostream &os)
bool | DoYBR (std::istream &is_, std::ostream &os)
virtual bool | IsValid (PhotometricInterpretation const &pi)
Protected Attributes inherited from gdcm::ImageCodec
unsigned int | Dimensions [3]
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
bool | NeedOverlayCleanup
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
unsigned int | PlanarConfiguration
bool | RequestPaddedCompositePixelCode
bool | RequestPlanarConfiguration

## Detailed Description

PVRGCodec.

Note
  pvrg is a broken implementation of the JPEG standard. It is known to have a bug in the 16bits lossless implementation of the standard.

In an ideal world, you should not need this codec at all. But to support some broken file such as:

PHILIPS_Gyroscan-12-Jpeg_Extended_Process_2_4.dcm

we have to...

## Constructor & Destructor Documentation

gdcm::PVRGCodec::PVRGCodec | ( |  | ) |

gdcm::PVRGCodec::~PVRGCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::PVRGCodec::CanCode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::PVRGCodec::CanDecode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::PVRGCodec::Code | ( | DataElement const & | in_,
|  | DataElement & | out_
| ) |  |

virtual

Code.

Reimplemented from gdcm::Coder.

bool gdcm::PVRGCodec::Decode | ( | DataElement const & | ,
|  | DataElement & |
| ) |  |

virtual

Decode.

Reimplemented from gdcm::ImageCodec.

The documentation for this class was generated from the following file:

- gdcmPVRGCodec.h